%define madwifi_version  0.9.4
# not yet
%def_disable privsep

Name: wpa_supplicant
Version: 0.6.5
Release: alt1

Summary: wpa_supplicant is an implementation of the WPA Supplicant component
License: GPL/BSD
Group: Security/Networking
Url: http://hostap.epitest.fi/

Source0: %name-%version-%release.tar
Source1: src-%version-%release.tar

PreReq: coreutils
Requires: dbus

BuildPreReq: kernel-build-tools >= 0.7
BuildRequires: kernel-source-madwifi libdbus-devel libnl-devel >= 1.1
BuildRequires: docbook-utils libncurses-devel libpcsclite-devel libreadline-devel libssl-devel

%description
wpa_supplicant is an implementation of the WPA Supplicant component,
i.e., the part that runs in the client stations. It implements WPA key
negotiation with a WPA Authenticator and EAP authentication with
Authentication Server. In addition, it controls the roaming and IEEE
802.11 authentication/association of the wlan driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

%prep
%setup -c -a1
sed -i 's,/usr/lib,%_libdir,' wpa_supplicant/wpa_supplicant.conf
sed -i 's,=/sbin/wpa_supplicant,=/usr/sbin/wpa_supplicant,' %name/dbus-wpa_supplicant.service
sed -e '/CONFIG_DRIVER_HOSTAP.\+$/aCONFIG_DRIVER_NL80211=y' \
    -e '/CONFIG_DRIVER_HOSTAP.\+$/aCONFIG_CLIENT_MLME=y' \
    -e '/CONFIG_DRIVER_HOSTAP.\+$/aCONFIG_DRIVER_PS3=y' \
    -e 's,^.\+CONFIG_DRIVER_NDISWRAPPER=.\+,CONFIG_DRIVER_NDISWRAPPER=y,' \
    -e 's,^.\+CONFIG_DRIVER_PRISM54=.\+,CONFIG_DRIVER_PRISM54=y,' \
    -e 's,^.\+CONFIG_DRIVER_RALINK=.\+,CONFIG_DRIVER_RALINK=y,' \
    -e 's,^.\+CONFIG_DRIVER_MADWIFI=.\+,CONFIG_DRIVER_MADWIFI=y,' \
    -e 's,^.\+-I../madwifi/wpa,CFLAGS += -I../kernel-source-madwifi-%madwifi_version,' \
    -e 's,^.\+CONFIG_CTRL_IFACE_DBUS=.\+,CONFIG_CTRL_IFACE_DBUS=y,' \
    -e 's,^.\+CONFIG_READLINE=.\+,CONFIG_READLINE=y,' \
    -e 's,^.\+CONFIG_PCSC=.\+,CONFIG_PCSC=y,' \
    -e 's,^.\+CONFIG_EAP_SIM=.\+,CONFIG_EAP_SIM=y,' \
    -e 's,^.\+CONFIG_EAP_PSK=.\+,CONFIG_EAP_PSK=y,' \
    -e 's,^.\+CONFIG_EAP_AKA=.\+,CONFIG_EAP_AKA=y,' \
    -e 's,^.\+CONFIG_EAP_SAKE=.\+,CONFIG_EAP_SAKE=y,' \
    -e 's,^.\+CONFIG_INTERNAL_LIBTOMMATH_FAST=.\+,CONFIG_INTERNAL_LIBTOMMATH_FAST=y,' \
%if_enabled privsep
    -e 's,^.\+CONFIG_PRIVSEP=.\+,CONFIG_PRIVSEP=y,' \
%endif
    < %name/defconfig > %name/.config

rm -rf kernel-source-madwifi-%madwifi_version
tar xf %kernel_src/kernel-source-madwifi-%madwifi_version.tar.bz2

%build
make -C %name
make -C %name/doc/docbook man

%install
install -pm0644 -D %name/%name.conf %buildroot%_sysconfdir/wpa_supplicant.conf
install -pm0644 -D %name/%name.sysconfig %buildroot%_sysconfdir/sysconfig/wpa_supplicant
install -pm0755 -D %name/%name.init %buildroot%_initdir/%name

install -pm0755 -D %name/wpa_supplicant %buildroot%_sbindir/wpa_supplicant
install -pm0755 %name/wpa_cli %buildroot%_sbindir
%if_enabled privsep
install -pm0755 %name/wpa_priv %buildroot%_sbindir
%endif
install -pm0755 -D %name/wpa_passphrase %buildroot%_bindir/wpa_passphrase
install -pm0644 -D %name/dbus-wpa_supplicant.conf %buildroot%_sysconfdir/dbus-1/system.d/dbus-%name.conf
install -pm0644 -D %name/dbus-wpa_supplicant.service %buildroot%_datadir/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

install -pm0644 -D %name/doc/docbook/%name.conf.5 %buildroot%_man5dir/%name.conf.5
install -pm0644 -D %name/doc/docbook/%name.8 %buildroot%_man8dir/%name.8
install -pm0644 %name/doc/docbook/wpa_{cli,passphrase,background,priv}.8 %buildroot%_man8dir

%post
%post_service %name

%preun
%preun_service %name

%files
%doc %name/README %name/ChangeLog %name/examples

%_initdir/%name
%config(noreplace) %attr(0600,root,root) %_sysconfdir/wpa_supplicant.conf
%config(noreplace) %_sysconfdir/sysconfig/wpa_supplicant
%config %_sysconfdir/dbus-1/system.d/dbus-%name.conf

%_datadir/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

%if_enabled privsep
%_sbindir/wpa_priv
%endif

%_sbindir/wpa_supplicant
%_sbindir/wpa_cli
%_bindir/wpa_passphrase

%_man5dir/wpa_supplicant.conf.*

%_man8dir/wpa_background.*
%_man8dir/wpa_cli.*
%_man8dir/wpa_supplicant.*
%_man8dir/wpa_passphrase.*

%if_enabled privsep
%_man8dir/wpa_priv.*
%endif

%changelog
* Fri Nov 21 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.6.5-alt1
- 0.6.5 release

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.5.10-alt3.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Tue May 06 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt3
- enabled dbus support

* Thu Apr 24 2008 Mikhail Efremov <sem@altlinux.org> 0.5.10-alt2.1
- rebuild with D-Bus support

* Tue Apr 15 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt2
- added kernel-source-madwifi build requires 

* Mon Apr 14 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt1
- new version

* Sat Mar 08 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.9-alt2
- rebuild with madwifi-0.9.4.

* Wed Jan 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.5.9-alt1
- 0.5.9
- minimize deps on kernel-source-madwifi version

* Wed Jun 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.8-alt1
- 0.5.8

* Wed May 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.5.7-alt4
- rebuild with madwifi 0.9.3.1.

* Fri May 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.7-alt3
- fix buildreq

* Fri May 11 2007 L.A. Kostis <lakostis@altlinux.ru> 0.5.7-alt2
- rebuild with madwifi 0.9.3.

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.7-alt1
- 0.5.7

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.9-alt3.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sat Sep 02 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt3
- rebuild with madwifi 0.9.2

* Sat Jul 22 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt2
- rebuild with new libpcsclite

* Thu May 18 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt1
- 0.4.9
- fix #9553

* Tue Apr 11 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt2
- Rebuild with new madwifi-ng 20060411

* Sun Feb 12 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt1
- 0.4.8
- Add debug logging

* Wed Feb 01 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt2
- Rebuild with madwifi-ng 20060201

* Sun Dec 11 2005 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt1
- 0.4.7
- Remove unneeded wpa_supplicant-driver_ipw.c.patch

* Mon Sep 12 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt3
- add madwifi driver support
- fix pid-file creation

* Sat Jul 02 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt2
- fix ipw2100/ipw2200 drivers

* Tue Jun 14 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt1
- 0.3.9

* Sun May 15 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt3
- change RPM group to "Security/Networking"

* Fri Apr 22 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt2
- Add support: 
	* CTRL_IFACE
	* XSUPPLICANT_IFACE
	* PKCS12
	* DRIVER_IPW
	* EAP_AKA
	* EAP_PSK

* Wed Mar 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt1
- 0.3.8

* Wed Feb 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.7-alt1
- 0.2.7

* Tue Jan 04 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Thu Oct 07 2004 Alexei Takaseev <taf@altlinux.ru> 0.2.5-alt1
- first build for ALT Sisyphus
